# CairoContext::deviceToUserDistance

# cairo_device_to_user_distance

(PECL cairo >= 0.1.0)

CairoContext::deviceToUserDistance -- cairo_device_to_user_distance — Transform a distance

### Description

Object oriented style (method):

public CairoContext::deviceToUserDistance ( float `$x` , float `$y` ) : array

Procedural style:

cairo_device_to_user_distance ( CairoContext `$context` , float `$x` , float `$y` ) : array

Transform a distance vector from device space to user space. This function is similar to CairoContext::deviceToUser() or cairo_device_to_user() except that the translation components of the inverse Cairo Transformation Matrix will be ignored when transforming (`x`,`y`).

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct() or cairo_create()

`x`

  X component of a distance vector

`y`

  Y component of a distance vector

### Return Values

Returns an array with the x and y values of a distance vector in the user-space

### See Also

- CairoContext::deviceToUser() - Transform a coordinate